=== modified file '__init__.py'
--- __init__.py	2005-09-07 12:51:20 +0000
+++ __init__.py	2005-09-09 23:54:33 +0000
@@ -59,10 +59,11 @@
                                   not no_antialias)
 
 class cmd_fetch_missing(bzrlib.commands.Command):
-    """Attempt to retrieve missing ancestors from another branch
+    """Attempt to retrieve missing ancestors from another branch.
+    If the other branch is not supplied, the last-pulled branch is used.
     """
-    takes_args = ['branch']
-    def run(self, branch):
+    takes_args = ['branch?']
+    def run(self, branch=None):
         from fetch_missing import fetch_missing
         fetch_missing(branch)
 

=== modified file 'fetch_missing.py'
--- fetch_missing.py	2005-09-03 22:57:52 +0000
+++ fetch_missing.py	2005-09-09 23:54:33 +0000
@@ -19,6 +19,16 @@
 def fetch_missing(branch):
     """Install the revisions of missing ancestors from another branch."""
     this_branch = find_branch('.')
+    if branch is None:
+        try:
+            branch = this_branch.controlfile("x-pull", "rb").read().rstrip('\n')
+            print "Using last location: %s" % branch
+        except IOError, e:
+            if e.errno != errno.ENOENT:
+                raise
+            else:
+                raise BzrCommandError("No pull location known or specified.")
+
     other_branch = find_branch(branch)
     installed = []
     failed = []

